

    <div class="page-wrapper">

        <div class="container-fluid">

            <div class="row page-titles">
                <div class="col-md-6 col-8 align-self-center">
                    <h3 class="text-themecolor m-b-0 m-t-0">Table</h3>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                        <li class="breadcrumb-item active">Table</li>
                    </ol>
                </div>
                <div class="col-md-6 col-4 align-self-center">
                    <a class="btn pull-right hidden-sm-down btn-success" data-toggle="modal" data-target=".bs-example-modal-lg"> Add Category</a>
                </div>
                <!-- modal content for Add product -->
                <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" style="display:none;" aria-hidden="true">
                    <div class="modal-dialog modal-lg">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title" id="myLargeModalLabel">
                                    Add Category
                                </h4>
                                <buttot type="button" class="close" data-dismiss="modal" aria-hidden="true">x</buttot>
                            </div>
                            <div class="modal-body">
                                <div class="card">
                                    <div class="card-block">
                                        <form class="form p-t-20">
                                            <div class="form-group">
                                                <label for="categoryid">Category ID</label>
                                                <div class="input-group">
                                                    <input type="text" class="form-control" id="categoryid" placeholder="Category ID">
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label for="categoryname">Category Name</label>
                                                <div class="input-group">
                                                    <input type="text" class="form-control" id="categoryname" placeholder="Category Name">
                                                </div>
                                            </div>
                                            <button type="submit" class="btn btn-success waves-effect waves-light m-r-10">Submit</button>
                                            <button type="submit" class="btn btn-inverse waves-effect waves-light" data-dismiss="modal">cancel</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-danger waves-effect tex-left" data-dismiss="modal">close</button>
                            </div>
                        </div>
                    </div>
                </div>
                <!--<div class="col-md-6 col-4 align-self-center">
                    <a href="https://wrappixel.com/templates/monsteradmin/" class="btn pull-right hidden-sm-down btn-success"> Upgrade to Pro</a>
                </div>
-->            </div>
            <!-- ============================================================== -->
            <!-- End Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <!-- ============================================================== -->
            <!-- Start Page Content -->
            <!-- ============================================================== -->
            <div class="row">
                <!-- column -->
                <div class="col-sm-12">
                    <div class="card">

                        <div id="OrderPackages" class="table-responsive">
                            <table id="tableSearchResults" class="table color-bordered-table primary-bordered-table ">
                                <thead>
                                <tr ng-repeat="sub in catsubcat | limitTo: 1">
                                    <th ng-repeat="(key,value) in sub" ng-if="key!='subcategory'">{{key}}</th>
                                    <!--<th>Category Name</th>-->
                                    <th></th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody ng-repeat="sub in catsubcat">
                                <tr id="package1" class="accordion-toggle" data-toggle="collapse" data-parent="#OrderPackages" data-target=".{{sub.categoryName}}" ng-click="getsubcategory(sub.categoryId)">
                                    <td ng-repeat="(key,value) in sub" ng-if="key!='subcategory'">{{value}}</td>
                                    <td>Electronics</td>
                                    <td><button class="btn-themecolor">Edit</button>&nbsp;<!--<button class="btn-warning">Delete</button>--></td>
                                    <td><i class="fa fa-hand-o-up waves-effect "></i>

                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3"  class="hiddenRow">
                                        <div class="accordion-body collapse {{sub.categoryName}}" id="accordion1">

                                            <div id="OrderPackagess" class="table-responsive">
                                                <table id="tableSarchResults" class="table color-bordered-table primary-bordered-table">
                                                    <thead>
                                                    <tr>
                                                        <th>Sub_Category ID</th>
                                                        <th>Sub_Category Name</th>
                                                        <th></th>
                                                        <th></th>
                                                    </tr>
                                                    </thead>
                                                    <tbody ng-repeat="subs in newsubarr">
                                                    <tr id="package11" class="accordion-toggle" data-toggle="collapse" data-parent="OrderPackages" data-target=".{{subs.subCategoryid+sub.categoryId+subs.subCategoryid*3}}" ng-click="getProductList(sub.categoryId,subs.subCategoryid)">
                                                        <td ng-repeat="(key,value) in subs">{{value}}</td>
                                                        <!--<td>Mobiles</td>-->
                                                        <td><button class="btn-themecolor">Edit</button>&nbsp;<!--<button class="btn-warning">Delete</button>--></td>
                                                        <td><i class="fa fa-spin fa-hand-o-up waves-effect"></i></td>
                                                    </tr>
                                                    <tr>

                                                        <td colspan="3" class="hiddenRow">
                                                            <div class="accordian-body collapse table-responsive {{subs.subCategoryid+sub.categoryId+subs.subCategoryid*3}}" id="accordion11">
                                                                <table class="table color-bordered-table success-bordered-table">
                                                                    <thead>
                                                                    <tr>
                                                                        <!--<th>{{subs.subCategoryid+sub.categoryId+subs.subCategoryid}}</th>-->
                                                                        <th>Product Id</th>
                                                                        <th>Product Name</th>
                                                                        <th></th>
                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                    <tr ng-repeat="pro in newProductarr" class="{{pro.productName}}">
                                                                        <td ng-repeat="(key,value) in pro">{{value}}</td>
                                                                        <!--<td>Apple Iphone 7+</td>-->
                                                                        <td><button class="btn-themecolor">Edit</button>&nbsp;<!--<button class="btn-warning">Delete</button>--></td>
                                                                    </tr>
                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        </td>
                                                    </tr>

                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </td>
                                </tr>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>

            </div>
        </div>
            <!-- ============================================================== -->
            <!-- End PAge Content -->
            <!-- ============================================================== -->
        </div>
        <!-- ============================================================== -->
        <!-- End Container fluid  -->
